package com.ecep.contract.task;

import com.ecep.contract.MessageHolder;
import com.ecep.contract.model.Contract;

import lombok.Getter;
import lombok.Setter;

/**
 * 
 */
public class ContractRepairTask extends Tasker<Object> {
    @Getter
    @Setter
    private Contract contract;

    @Getter
    boolean repaired = false;
    @Getter
    protected boolean filesUpdated = false;
    @Getter
    protected boolean itemsUpdated = false;
    @Getter
    protected boolean playPlanUpdated = false;
    @Getter
    protected boolean saleOrderUpdated = false;

    public ContractRepairTask() {
    }

    @Override
    protected Object execute(MessageHolder holder) throws Exception {
        updateTitle("修复合同 " + contract.toPrettyString());
        updateProgress(1, 1);
        return null;
    }

}
